import request from '@/utils/request';
import { download } from '@/utils/file';
/**
 * 获取信息列表
 */
export async function getReturnTableList(params) {
  const res = await request.get(`/eom/purchaseorderreturn/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取信息详情
 */
export async function getReturnSaleOrderrecordDetail(id) {
  const res = await request.get(`/eom/purchaseorderreturn/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 更新信息
 */
export async function UpdateReturnInformation(data) {
  const res = await request.put(`/eom/purchaseorderreturn/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 新增信息
 */
export async function addReturnInformation(data) {
  const res = await request.post(`/eom/purchaseorderreturn/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除
 */
export async function deleteReturnInformation(data) {
  const res = await request.delete('/eom/purchaseorderreturn/delete', { data });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}



/**
 * 新增信息
 */
export async function uploadReceipt(data) {
  const res = await request.post(`/eom/purchaseorderreturn/uploadReceipt`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 流程作废
 */
export async function cancel(data) {
  const res = await request.put(`/bpm/purchaseReturnApprove/cancel`, data);
  if (res.data.code == 0) {
    return Promise.resolve(res.data);
  }
  return Promise.reject(new Error(res.data.message));
}
